/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
export class Image {
  access_estsize: number;
  band_code: string;
  beam_axis_ratio: number;
  cal_level: string;
  collection_name: string;
  configuration: string;
  file_id: string;
  file_name: string;
  filegroup_id: string;
  id: string;
  image_id: string;
  image_product_id: string;
  instrument_name: string;
  max_frequency: number;
  max_intensity: number;
  min_frequency: number;
  min_intensity: number;
  polarization: Array<string>;
  products_file: string;
  project_code: string;
  rms_noise: number;
  sp_resolution: number;
  spatial_region: string;
  target_name: string;
  target_pos_ecliptic: string;
  target_pos_equatorial: string;
  target_pos_galactic: string;
  thumbnail: string;
  type: string;
}
